import React, { Component } from 'react';
import { LovConfig } from 'choerodon-ui/dataset/interface';
import DataSet from '../data-set/DataSet';
import Record from '../data-set/Record';
import { FormContextValue } from '../form/FormContext';
import { SelectionProps } from './Lov';
import { SelectionsPosition } from './enum';
export { SelectionsPosition, };
export interface SelectionListProps {
    dataSet: DataSet;
    treeFlag?: LovConfig['treeFlag'];
    valueField: string;
    textField: string;
    selectionsPosition?: SelectionsPosition;
    selectionProps?: SelectionProps;
    context: FormContextValue;
}
export default class SelectionList extends Component<SelectionListProps> {
    get prefixCls(): string;
    selectionNode: HTMLElement;
    modalNode: HTMLElement | null;
    contentRef(node: any): void;
    getRecords(records: Record[]): Record[];
    unSelect: (record: Record) => void;
    renderSide(): JSX.Element | null;
    renderBelow: () => React.ReactNode;
    updateModalStyle(): void;
    componentDidMount(): void;
    componentDidUpdate(): void;
    render(): {} | null | undefined;
}
